LINUX.ORG.RU

Откатиться до прошлой версии в apt для обеих архитектур

 , ,


0

1

Установлено

dell ~ # aptitude search libfreetype6 | grep "i "
i   libfreetype6                    - движок отрисовки шрифтов FreeType 2 (динам
i   libfreetype6:i386               - движок отрисовки шрифтов FreeType 2 (динам
доступны:
Пакет libfreetype6:                                       
p   2.5.2-1ubuntu2                                                                 trusty                                                      500 
p   2.5.2-1ubuntu2.2                                                               trusty-updates                                              500 
i   2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360                                                                       100 
...
Пакет libfreetype6:i386:
p   2.5.2-1ubuntu2                                                                 trusty                                                      500 
p   2.5.2-1ubuntu2.2                                                               trusty-updates                                              500 
i   2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360                                                                       100

необходимо откатиться до 2.5.2-1ubuntu2.2 , но для обеих архитектур. Откатываю, даже через тот же синаптик одну версию другая 32 удаляется и другие пакеты с собой тянет.

В общем, как удалить, откатиться до старой версии обеих архитектур?

★★★★★

Ответ на: комментарий от Gotf

спасибо большое, все получилось

загвоздка в указании архитектуры была libfreetype6:i386=2.5.2-1ubuntu2.2

# apt install libfreetype6=2.5.2-1ubuntu2.2 libfreetype6:i386=2.5.2-1ubuntu2.2
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакеты, будут заменены на более СТАРЫЕ версии:
  libfreetype6 libfreetype6:i386
обновлено 0, установлено 0 новых пакетов, 2 пакетов заменены на старые версии, для удаления отмечено 0 пакетов, и 30 пакетов не обновлено.
Необходимо скачать 0 B/605 kB архивов.
После данной операции, объём занятого дискового пространства уменьшится на 205 kB.
Хотите продолжить? [Д/н] 
dpkg: предупреждение: снижение версии libfreetype6:i386 с 2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360 до 2.5.2-1ubuntu2.2
(Чтение базы данных … на данный момент установлено 278378 файлов и каталогов.)
Preparing to unpack …/libfreetype6_2.5.2-1ubuntu2.2_i386.deb ...
De-configuring libfreetype6:amd64 (2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360) ...
Unpacking libfreetype6:i386 (2.5.2-1ubuntu2.2) over (2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360) ...
dpkg: предупреждение: снижение версии libfreetype6:amd64 с 2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360 до 2.5.2-1ubuntu2.2
Preparing to unpack …/libfreetype6_2.5.2-1ubuntu2.2_amd64.deb ...
Unpacking libfreetype6:amd64 (2.5.2-1ubuntu2.2) over (2.5.2-1ubuntu2.2ppa1bohoomileb5a6af0e99ec0d1c25521b6f8196106508c9360) ...
Настраивается пакет libfreetype6:amd64 (2.5.2-1ubuntu2.2) …
Настраивается пакет libfreetype6:i386 (2.5.2-1ubuntu2.2) …
Processing triggers for libc-bin (2.19-0ubuntu6) ...
NK ★★★★★
() автор топика
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.